<template>
  <div class="container column">
    <AppCreater @block-added="AddBlock"/>
    <AppCV :parts="parts"/>
  </div>

  <div class="container">
    <AppCommentSection />
  </div>
</template>

<script>
import AppCV from '@/components/AppCV'
import AppCreater from '@/components/AppCreater'
import AppCommentSection from '@/components/AppCommentSection'
export default {

  data(){
    return {
      parts:[]
    }
  },
  components:{
    AppCV,
    AppCreater,
    AppCommentSection,
  },
  methods:{
    AddBlock(block){
      this.parts.push(block)
    }
  }
}
</script>

<style>
  .avatar {
    display: flex;
    justify-content: center;
  }

  .avatar img {
    width: 150px;
    height: auto;
    border-radius: 50%;
  }
</style>
